package cs6601.p1.generator;

import java.util.List;

import cs6601.p1.GameConfig;
import cs6601.p1.GameState;

public interface MoveGenerator {
	static final String PASS = "PASS";
	static final int ALL_MOVES = 0;
	public String genMove(GameConfig gameConfig, GameState gameState, String color);
	public List<String> genMoves(GameConfig gameConfig, GameState gameState, String color, int nMoves);
}